FreeBSD 13.1 guide request

I’ve been trying to install SiCKRAGE on my server but it’s failed 10 times so far. I tried to [pip install sickrage] after I got pip working alright. But then I got this error: [Sorry, SiCKRAGE requirements need to be installed.]
Then I tried installing the requirements.txt as described in readme.md.
Still got the same error, so I tried running: [python3.8 setup.py build] followed by [python3.8 setup.py install] but still got the same error.
Then I figured I’d try installing the requirements-dev.txt as well and there was a glimmer of hope as the error now says:[

[email protected]:~/sickrage # sickrage
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 568, in _build_master
    ws.require(__requires__)
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 886, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 777, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (urllib3 1.26.9 (/usr/local/lib/python3.8/site-packages), Requirement.parse('urllib3==1.25.10'), {'sickrage'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/sickrage", line 33, in <module>
    sys.exit(load_entry_point('sickrage==10.0.69', 'console_scripts', 'sickrage')())
  File "/usr/local/bin/sickrage", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/local/lib/python3.8/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/local/lib/python3.8/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 843, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/usr/local/lib/python3.8/site-packages/sickrage/__init__.py", line 43, in <module>
    import pkg_resources
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3243, in <module>
    def _initialize_master_working_set():
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3226, in _call_aside
    f(*args, **kwargs)
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3255, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 583, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 772, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'urllib3==1.25.10' distribution was not found and is required by sickrage

]

Now I don’t know what to do. Anyone have a nifty SiCKRAGE installation on FreeBSD 13.1 guide or feel like making one?

Thanks from Reykjavik, Iceland
-zc4r

try pip uninstall urllib3 requests then try pip install -r requirements.txt

the problem is you have another version of python requests installed at the site-level, this is causing the version conflict for urllib3

other option would be to install SR inside a virtual python env